cURL
curl --request PATCH \
--url https://api.recoupable.dev/api/catalogs/{catalogId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.recoupable.dev/api/catalogs/{catalogId}"
payload = { "name": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.recoupable.dev/api/catalogs/{catalogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"catalog": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Catalogs
Rename Catalog
Rename a catalog. The only mutable field is the display name — catalog membership is managed through Add catalog songs and Remove catalog songs.
Catalogs created by Run valuation are named after the measured artist. Catalogs created before that shipped are all named Valuation Catalog — this endpoint is how you give them real names.
PATCH
/
api
/
catalogs
/
{catalogId}
cURL
Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Path Parameters
ID of the catalog to rename.
Body
application/json
The new catalog name.
Request body for renaming a catalog.
New display name for the catalog. Must not be empty.
Minimum string length:
1Was this page helpful?
⌘I
